Page MenuHomePhabricator

[LoopAccesses 3/3] Print the dependences with -analyze
ClosedPublic

Authored by anemet on Mar 6 2015, 10:23 AM.

Details

Summary

The dependences are now expose through the new getInterestingDependences
API so we can use that with -analyze too and fix the FIXME.

This lets us remove the test that relied on -debug to check the
dependences.

Diff Detail

Event Timeline

anemet updated this revision to Diff 21374.Mar 6 2015, 10:23 AM
anemet retitled this revision from to [LoopAccesses 3/3] Print the dependences with -analyze.
anemet updated this object.
anemet edited the test plan for this revision. (Show Details)
anemet added reviewers: hfinkel, aschwaighofer, nadav.
anemet added a subscriber: Unknown Object (MLST).
hfinkel accepted this revision.Mar 7 2015, 10:36 PM
hfinkel edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Mar 7 2015, 10:36 PM
anemet closed this revision.Mar 10 2015, 10:47 AM

r231807